#include <iostream>

using namespace std;

int main() {


	int brojUcesnika, brojParovaPoznanika;
	cin >> brojUcesnika >> brojParovaPoznanika;

	int *nizDruzeljubivosti = new int[brojUcesnika];
	int *nizParovaPoznanika = new int[brojParovaPoznanika * 2];

	//Unosenje podataka
	for (int i = 0; i < brojUcesnika; i++)
		cin >> nizDruzeljubivosti[i];

	for (int i = 0; i < brojParovaPoznanika*2; i++)
		cin >> nizParovaPoznanika[i];


	//Rad
	int *nizSrece = new int[brojUcesnika];


	bool druzeljubivost = true;

	for (int i = 0; i < brojUcesnika; i++) {
		if (nizDruzeljubivosti[i] < 0) {
			druzeljubivost = false;
			break;
		}
	}

	//F---------------------------------
	for (int i = 0; i < brojUcesnika; i++) {

		int ucesnik = i + 1;
		int brojUcesnikaKojiImajuPar = 0;

		for (int j = 0; j < brojParovaPoznanika * 2; j++)
			if (nizParovaPoznanika[j] == ucesnik)
				brojUcesnikaKojiImajuPar++;

		if (brojUcesnikaKojiImajuPar == 0)
			nizSrece[i] = nizDruzeljubivosti[i];
		else if (druzeljubivost && brojUcesnikaKojiImajuPar > 0) 
			nizSrece[i] = nizDruzeljubivosti[i] * brojUcesnikaKojiImajuPar;
		else
			nizSrece[i] = nizDruzeljubivosti[i] * (-brojUcesnikaKojiImajuPar);
	}
	

	int suma = 0;

	for (int i = 0; i < brojUcesnika; i++)
		suma += nizSrece[i];

	cout << suma;

}